OD_entry_t Struct Reference
CANopen_301 » OD interface

Object Dictionary entry for one OD object. More...

`#include <CO_ODinterface.h>`

## Data Fields

uint16_t | index
| Object Dictionary index.
uint8_t | subEntriesCount
| Maximum sub-index in the OD object.
uint8_t | odObjectType
| Type of the odObject, indicated by OD_objectTypes_t enumerator.
const void * | odObject
| OD object of type indicated by odObjectType, from which OD_getSub() fetches the information.

## Detailed Description

Object Dictionary entry for one OD object.

OD entries are collected inside OD_t as array (list). Each OD entry contains basic information about OD object (index and subEntriesCount) and access function together with a pointer to other details of the OD object.

The documentation for this struct was generated from the following file:

- 301/CO_ODinterface.h